diff --git a/web/config.py b/web/config.py
index 36f1632..4dd6c76 100644
--- a/web/config.py
+++ b/web/config.py
@@ -242,6 +242,11 @@ STORAGE_DIR = os.path.join(
     )
 
 ##########################################################################
+# Allows flask application to response to the each request asynchronously
+##########################################################################
+THREADED_MODE = True
+
+##########################################################################
 # Local config settings
 ##########################################################################
 
diff --git a/web/pgAdmin4.py b/web/pgAdmin4.py
index 4c9780d..f45b613 100644
--- a/web/pgAdmin4.py
+++ b/web/pgAdmin4.py
@@ -71,8 +71,11 @@ else:
     server_port = config.DEFAULT_SERVER_PORT
 
 try:
-    app.run(host=config.DEFAULT_SERVER,
+    app.run(
+        host=config.DEFAULT_SERVER,
         port=server_port,
-        use_reloader=(config.SERVER_MODE and app.debug))
+        use_reloader=(config.SERVER_MODE and app.debug),
+        threaded=config.THREADED_MODE
+    )
 except IOError:
     app.logger.error("Error starting the app server: %s", sys.exc_info())
